Subject: Re: [PATCH][net-next][v2] bridge: allow the maximum mtu to 64k

From: Stephen Hemminger <[email-masked]>
Date: Wed, 24 Feb 2016 13:44:56 -0800

On Tue, 23 Feb 2016 09:00:56 +0800
[email-masked] wrote:

> This is especially annoying for the virtualization case because the
> KVM's tap driver will by default adopt the bridge's MTU on startup
> making it impossible (without the workaround) to use a large MTU on the
> guest VMs.
> 
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1399064

This use case looks like KVM misusing bridge MTU. I.e it should set TAP
MTU to what it wants then enslave it, not vice versa.